Skip to main content

Auvious RTC API v1.9.26

Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /security/oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

IceSupport​

Obtains iceServers for use by WebRTC peers​

GET https://auvious.video/rtc-api/iceServers/v2 HTTP/1.1
Host: auvious.video
Accept: application/json

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKIceServersResultV2
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"stun": "string",
"turn": "string",
"turnUsername": "string",
"turnPassword": "string",
"ttl": 0
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/iceServers/v2 \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Schemas​

IceServer​

{
"urls": [
"string"
],
"username": "string",
"credential": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
urls[string]falsenonenone
usernamestringfalsenonenone
credentialstringfalsenonenone

IceServersResult​

{
"iceServers": [
{
"urls": [
"string"
],
"username": "string",
"credential": "string"
}
],
"ttl": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
iceServers[IceServer]falsenonenone
ttlinteger(int32)falsenonenone

IceServersResultV2​

{
"stun": "string",
"turn": "string",
"turnUsername": "string",
"turnPassword": "string",
"ttl": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
stunstringfalsenonenone
turnstringfalsenonenone
turnUsernamestringfalsenonenone
turnPasswordstringfalsenonenone
ttlinteger(int32)falsenonenone